org.apache.hc.client5.http

## Interface CancellableAware

All Known Implementing Classes:
  HttpDelete, HttpGet, HttpHead, HttpOptions, HttpPatch, HttpPost, HttpPut, HttpTrace, HttpUriRequestBase

    public interface CancellableAware

This interface represents an object that can be made aware of long running, potentially blocking processes.

Since:
  5.0

### Method Summary

Methods
`boolean` `isCancelled()`
`void` `setCancellable(org.apache.hc.core5.concurrent.Cancellable cancellable)` Sets `Cancellable` for the ongoing operation.

### Method Detail

#### setCancellable

    void setCancellable(org.apache.hc.core5.concurrent.Cancellable cancellable)

Sets `Cancellable` for the ongoing operation.

#### isCancelled

    boolean isCancelled()